-1/Image already present in the database
-1001/Can't compute DNA (the file is not an image)
-1002/Can't compute DNA (the image does not contain enough information)
-1004/An unknown parameter name has been provided
-1005/You must supply two images for fine comparison
-1006/Provided DNA is unknown or not in the license.
-1007/A wrong parameter type is provided.
-1101/Application key or application Id must be supplied
-1102/Application key or application Id must be supplied
-1106/The company_name parameter is required
-1107/The id_client parameter is required
-1109/Only one of the id_applications and id_servers parameters can be provided
-1112/The template parameter is required.
-1114/An application key must be specified to report application as full.
-1115/An application key must be specified to add a new partition.
-1116/The application key for this AddPartition is invalid.
-1117/The application does not have the requested parameter.
-1118/The parameter input value is invalid.
-1301/The company name is empty
-1303/Given application template name is unknown
-1401/Missing image id (AddImage query)
-1402/Missing image id (DeleteImage query)
-1403/keyword parameter is not a list (in particular, use an empty list if you don't want to link any keyword to this image)
-1404/Invalid chars in keyword
-1405/Malformed image id parameter
-1406/Malformed image id parameter
-1407/Can't add image (neither DNA nor image file is present)
-1408/Can't add image (neither DNA nor image file is present)
-1411/Duplicated keywords
-1412/Item ID must be shorter than 100 chars
-1413/Item ID must be shorter than 100 chars
-1414/Keywords must be shorter than 100 chars
-1415/Image contains too many keywords (limit is 50)
-1416/Can't get image (the image does not exist in database)
-1417/Can't get image (image id is required)
-1418/The given DNA is not valid
-1419/The given image does not have a valid type. Check ltu.saas.utils.image.ValidImageFormats
-1420/Can't get image dna (the image does not exist in database)
-1421/Can't get image dna (image id is required)
-1601/Malformed keyword parameter
-1602/Invalid chars in keyword
-1603/Malformed image id parameter
-1604/Can't search external image (neither DNA nor image file is present)
-1605/Starting index must be strictly lower than the number of found results.
-1606/Malformed starting_index parameter
-1607/Invalid nb_results value.
-1608/Malformed color_weight parameter
-1609/Malformed color_weight parameter (must be between 0 and 100)
-1610/Can't search image by keywords (no keyword given)
-1611/Duplicated keywords
-1613/No image id supplied
-1614/No image DNA supplied
-1615/No keyword supplied
-1616/No image id supplied
-1617/Can't add image (neither DNA nor image file is present)
-1618/Malformed ids list parameter
-1619/Too many ids in the ids list parameter
-1620/SearchImageByDna is not supported for meta applications with multiple signature types
-1621/Provided DNA is not valid
-1622/Input image is of invalid type. See ltu.saas.utils.image.ValidImageFormats.
-1623/No colors supplied
-1624/Search by color is not implemented on this type of application.
-1625/Invalid weighted color string.
-1626/Too Many colors specified.
-1628/NbColor argument must be positive.
-1629/No reference or query image provided.
-1630/No image provided.
-1701/Invalid IP Address or Netmask
-1702/Invalid IP Address or Netmask
-1705/Current Password is wrong
-1706/New passwords are different one to each other
-1708/Forbidden chars found in the new password
-1709/New password too short
-1710/New password too long
-1712/User not found (email address is not found in database)
-1913/Application not found
-1914/Application not active
-1915/Invalid user id
-1916/User not found (user_id is not found in database)
-1917/No such user group
-1918/No such client found in database
-1919/Bad network or ip address format
-1920/Cannot set empty name for client
-1921/Invalid user name supplied
-2002/Authentication failed: application not found
-2005/Authentication failed: no application key given
-2006/Authentication failed: no action given
-2007/Authentication failed: the application is not ready
-2008/Request is not exposed for this ApplicationType
-2009/Maximum number of images allowed by your license has been reached. Shutting down.
-2010/Maximum number of cores allowed by your license has been reached. Shutting down.
-2011/Maximum number of retrieval server connections reached. Shutting down.
-2012/Required feature is not in the license.
-2013/IP is not whitelisted or action is not authorized.
-2014/Application is not active.
-2015/Maximum number of site reached. Shutting down.
-2101/An update for the application is already running
-2102/Can not cancel the application update
-2103/A Kima is already being added to the application
-2104/Application has error status, a rebuild is needed
-2105/Application is not ready
-2106/The parameter value can not be changed for this application.
-2301/Can't add client, this client already exists
-2302/Can't add application (unknown client)
-2303/Can't add application (invalid hardware site)
-2305/Can't add client (invalid group)
-2306/Can't delete client (unknown client)
-2307/Can't delete client (the client own an application)
-2308/Can't delete application (unknown application)
-2309/Can't delete application (the application is not empty)
-2310/Can't delete query logs on application where query logging is disabled. Use purge=True.
-2311/No application with this application id.
-2314/Can't delete active application
-2315/Application must be updated before being deleted.
-2401/Invalid request for this application (No reference images database)
-2601/Unknown image id
-2602/No repository loaded for this application
-2603/SearchImage on a meta application with no linked application
-2604/GetImageById is not supported for the meta applications
-2605/SetRepositoryLock called on an inactive repository
-2606/Application requires a first manual update
-2608/fine image comparison dll not present in license
-2609/Search by id is not implemented for asymmetric DNA search
-2701/IP Address or Netmask not found.
-2703/No email address provided
-2704/Missing password
-2705/Current and new password are identical
-2706/No information to update.
-2707/The IP address or Netmask already exists.
-2708/The required client does not exist (id_client not found).
-2801/Can't add image to the application (an image with the same id already exist)
-2802/Can't delete image (the image does not exist in database)
-2803/Maximum number of images allowed by your license has been reached.
-2804/Can't add image to the application (this exact image file is already in the reference database)
-2907/No such entry in access list
-2908/Ip address already exists.
-2909/User tried to add or remove a linked_application on a non MetaApplication.
-2910/User tried to add an application to a meta application twice.
-2912/Trying to link a meta to an other meta.
-3000/Internal server error, please contact support.
